Page MenuHomePhabricator

Duplicate Lemmas created when changing Lemma lang code after making another Lexeme change
Closed, ResolvedPublic

Description

Reproduction:

  • Load a Lexeme
  • Make a change somewhere on the lexeme & save
  • Change the language code of a Lemma & save
  • Reload the page
  • You will now have both the old and the new Lemma

I feel that this may relate to the baserevid issues within the lexeme UI referenced in T194354

Screencast:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2018, 9:50 AM

Change 434714 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Fix mutating lemma state when editing in "lexeme header" widget

https://gerrit.wikimedia.org/r/434714

Change 434714 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Fix mutating lemma state when editing in "lexeme header" widget

https://gerrit.wikimedia.org/r/434714

Lydia_Pintscher triaged this task as High priority.May 27 2018, 5:56 PM
Lea_Lacroix_WMDE closed this task as Resolved.May 28 2018, 9:43 AM
Lea_Lacroix_WMDE claimed this task.
Vvjjkkii renamed this task from Duplicate Lemmas created when changing Lemma lang code after making another Lexeme change to 87caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lea_Lacroix_WMDE as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Lea_Lacroix_WMDE; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from 87caaaaaaa to Duplicate Lemmas created when changing Lemma lang code after making another Lexeme change.Jul 2 2018, 3:19 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Lea_Lacroix_WMDE.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Lea_Lacroix_WMDE.